package lingtao.net.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import lingtao.net.bean.Question;

public interface QuestionMapper {

	List<Question> questions(Question question);

	int addQuestion(Question question);

	int updateQuestionById(Question question);

	int deleteQuestionById(@Param("id") Integer id);

	List<Question> getSingleQuestions();

	List<Question> getMultipleQuestions();

	List<Question> getFillQuestions();

}
